Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.1.8
Release: 2
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/gawk/
Source0: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.bz2.sig
Source2: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}-pdf.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
Requires: /sbin/install-info, info, gettext

%description
The gawk packages contains the GNU version of awk, a text processing
utility. Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.


%prep
%setup -q -b 2


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/awk/* || :

ln -sf gawk.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/awk.1

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gawk*info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib share
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done

  rm usr/bin/awk
  mkdir -p usr/linux/bin
  ln -sf ../../..%{_bindir}/awk usr/linux/bin
)


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README COPYING FUTURES LIMITATIONS NEWS
%doc README_d POSIX.STD doc/*awk*.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/gawk*info*
%{_libexecdir}/awk
%{_datadir}/awk
%{_datadir}/locale/*
/usr/bin/*
/usr/linux/bin/*
/usr/share/awk


%changelog
* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 3.1.8-2
- removed dependency on gettext >= 0.17

* Mon May 10 2010 Michael Perzl <michael@perzl.org> - 3.1.8-1
- updated to version 3.1.8

* Wed Sep 02 2009 Michael Perzl <michael@perzl.org> - 3.1.7-1
- updated to version 3.1.7

* Mon Mar 17 2008 Michael Perzl <michael@perzl.org> - 3.1.6-1
- first version for AIX V5.1 and higher
